$!-----------------------------------------------------------------------------
$! BUILD_DCLINABOX.COM
$!
$! P1 == LINK or BUILD or empty (builds)
$!
$! 16-JUL-2016  MGD  cleanup
$! 04-DEC-2011  MGD  initial
$!-----------------------------------------------------------------------------
$!
$ ON CONTROLY THEN EXIT 44
$!
$ @[]ARCHER.COM "DCLINABOX"
$!
$ DEFINES = " /DEFINE=(__VMS_VER=70000000,__CRTL_VER=70000000)"
$ INCLUDES = " /INCLUDE=([SRC.MISC])"
$ WARNINGS=  " /WARNING=(DISABLE=(PREOPTW))"
$!
$ CC_OPTIONS = "/DECC /OPTIMIZE /STAND=RELAXED_ANSI /PREFIX=ALL" +-
               INCLUDES + DEFINES + WARNINGS
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' /NODEBUG/OBJECT='WASD_OBJ_DIR' -
                     DCLINABOX+SYS$LIBRARY:SYS$LIB_C/LIB
$    CC 'CC_OPTIONS' /OBJECT='WASD_OBJ_DIR' WSLIB
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "LINK"
$ THEN
$    SET NOON
$    SET VERIFY
$    LINK /NOTRACE/SYSEXE/EXECUTABLE=WASD_EXE:DCLINABOX.EXE -
     'WASD_OBJ_DIR'DCLINABOX,'WASD_OBJ_DIR'WSLIB
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ PURGE /NOLOG 'WASD_OBJ_DIR'
$!
$! (cleanup following v1.3)
$ if f$search("wasd_root:[runtime.dclinabox]usercss*.css") .nes. "" -
     then delete/nolog wasd_root:[runtime.dclinabox]usercss*.css;*
$ if f$search("wasd_root:[runtime.dclinabox]*.gif") .nes. "" -
     then delete/nolog wasd_root:[runtime.dclinabox]*.gif;*
$ if f$search("wasd_root:[runtime.dclinabox]*.ico") .nes. "" -
     then delete/nolog wasd_root:[runtime.dclinabox]*.ico;*
$ if f$search("wasd_root:[runtime.dclinabox]*.png") .nes. "" -
     then delete/nolog wasd_root:[runtime.dclinabox]*.png;*
$!
$!-----------------------------------------------------------------------------
